Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
  • Кейсы
  • Документация
  • Блог
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex DataLens
RU
  • Галерея в DataLens
    • Как пользоваться Public API
    • Версионирование
    • История изменений
      • Overview
        • Overview
        • Get tenant details
  • Аудитные логи Audit Trails

В этой статье:

  • Request
  • Headers
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API (англ.)
  3. Tenants
  4. Get tenant details
Статья создана
Yandex Cloud
Открыть в Markdown
  • Request
    • Headers
  • Responses
  • 200 OK
    • Body

Get tenant details

Returns the current tenant state and public settings.

RequestRequest

POST

https://api.datalens.tech/rpc/getTenantDetails

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "tenantId": "example",
  "orgId": "example",
  "settings": {
    "dataExportProhibited": true,
    "prohibitionPublication": true,
    "workbookFileExportProhibited": true,
    "defaultColorPaletteId": "example",
    "aiAssistantProhibited": true,
    "externalAIProvidersEnabled": true,
    "aiChatHistoryProhibited": true,
    "sharingProhibited": true,
    "newObjectCreatorRole": "admin",
    "defaultSidebarMode": "simplified",
    "autoAssignLicenses": true,
    "autoBuyLicenses": true,
    "autoBuyLicensesLimit": 0.5
  },
  "dlpEnabled": true,
  "foldersEnabled": true
}

Name

Description

dlpEnabled

Type: boolean

Whether DataLens Platform mode is enabled for the tenant.

foldersEnabled

Type: boolean

Whether legacy folder navigation is enabled for the tenant.

orgId

Type: string | null

ID of the organization. Null when the tenant has no organization.

Example: example

settings

Type: object

aiAssistantProhibited

Type: boolean

Whether the Neuroanalyst is prohibited for the tenant.

aiChatHistoryProhibited

Type: boolean

Whether storing Neuroanalyst chat history is prohibited for the tenant.

autoAssignLicenses

Type: boolean

Whether seats are assigned automatically.

autoBuyLicenses

Type: boolean

Whether additional seats are purchased automatically.

autoBuyLicensesLimit

Type: number | null

Maximum number of seats that can be purchased automatically.

dataExportProhibited

Type: boolean

Whether exporting data is prohibited for the tenant.

defaultColorPaletteId

Type: string

ID of the default color palette.

Example: example

defaultSidebarMode

Type: string

Default sidebar display mode.

Enum: simplified, full

externalAIProvidersEnabled

Type: boolean

Whether Neuroanalyst may use models hosted outside Yandex Cloud.

newObjectCreatorRole

Type: string

Default role assigned to the creator of a new object.

Enum: admin, editor, none

prohibitionPublication

Type: boolean

Whether entries publication is prohibited for the tenant.

sharingProhibited

Type: boolean

Whether creating temporary public links is prohibited for the tenant.

workbookFileExportProhibited

Type: boolean

Whether workbooks export is prohibited for the tenant.

[additional]

Type: unknown

Example: null

Public tenant settings. Additional public settings may be returned.

Example
{
  "dataExportProhibited": true,
  "prohibitionPublication": true,
  "workbookFileExportProhibited": true,
  "defaultColorPaletteId": "example",
  "aiAssistantProhibited": true,
  "externalAIProvidersEnabled": true,
  "aiChatHistoryProhibited": true,
  "sharingProhibited": true,
  "newObjectCreatorRole": "admin",
  "defaultSidebarMode": "simplified",
  "autoAssignLicenses": true,
  "autoBuyLicenses": true,
  "autoBuyLicensesLimit": 0.5
}

tenantId

Type: string

ID of the current DataLens tenant.

Example: example

Была ли статья полезна?

Предыдущая
Overview
Следующая
Overview
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»